Get dispatch strategies
curl --request GET \
--url https://api.sandbox.usenash.com/v1/options_group \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.usenash.com/v1/options_group"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.usenash.com/v1/options_group', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "opn_WyMhHj",
"label": "New York City Strategy",
"allowedProviders": [
"prv_01234567890",
"prv_01234567891"
],
"enableAutoDispatch": true,
"providerSelectionStrategy": "cheapest",
"reassignOnFailure": true,
"enableMaxDeliveryFee": true,
"maxDeliveryFeeCents": 10000,
"preventReassignmentPriceIncrease": true,
"costSplitMaxFixedPriceCents": 10000,
"costSplitMaxPercentage": 0.1,
"costSplitStrategy": "price",
"smartReassignment": true
}
][
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Get Dispatch Strategies
List your organization’s dispatch strategies.
GET
/
v1
/
options_group
Get dispatch strategies
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
OK
Dispatch Strategy ID
Example:
"opn_WyMhHj"
Dispatch Strategy Label
Example:
"New York City Strategy"
Allowed providers
Example:
["prv_01234567890", "prv_01234567891"]
Enable auto dispatch
Example:
true
Provider selection strategy
Example:
"cheapest"
Reassign on failure
Example:
true
Enable max delivery fee
Example:
true
Max delivery fee in cents
Example:
10000
Prevent a reassignment from increasing the selected delivery fee
Example:
true
Cost split max fixed price in cents
Example:
10000
Cost split max percentage
Example:
0.1
Cost split strategy
Example:
"price"
Smart reassignment
Example:
true
Was this page helpful?